from django.urls import path
from .import views
from .views import*
from .views import CheckDeviceAssociation

urlpatterns = [
    
    path('add', add_device, name='add_device'),
    path('edit_device/<str:device_unique_id>/', edit_device, name='edit_device'),
    path('devices', device_list, name='devices'),
    path('map_view', map_view, name='map_view'),
    path('getLocation', views.getLocation, name='getLocation'),#template dose not exsist
    path('maps', maps, name='maps'),
    path('update-device/', update_device, name='update_device'),  # New route for updating device
    path('device-data/<int:device_id>/', views.get_device_data, name='get_device_data'),
    path('check-device/', CheckDeviceAssociation.as_view(), name='check_device_association'),
]